Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154522 - openoffice.org upgrade leaves stray directories around
Summary: openoffice.org upgrade leaves stray directories around
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 14:27 UTC by John Thacker
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.112
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-28 11:50:21 UTC


Attachments (Terms of Use)

Description John Thacker 2005-04-12 14:27:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
Upgrading from a version of openoffice.org to a later version leaves files from the old version scattered around.  For example, upgrading from 1.9.89 to 1.9.92 left an empty /usr/lib/openoffice.org1.9.89/share/readme directory.

Version-Release number of selected component (if applicable):
openoffice.org-core-1.9.89-1

How reproducible:
Always

Steps to Reproduce:
1. Upgrade version of openoffice.org, such as by yum

Actual Results:  /usr/lib/openoffice.org-1.9.89/share/readme is still present

Expected Results:  That directory should have been erased like everything else from the old version

Additional info:

Comment 1 Caolan McNamara 2005-04-13 11:50:21 UTC
lets see if it happens on any new upgrades.
right now what is the output of
rpm -qf /usr/lib/openoffice.org-1.9.92
do you happen to run openoffice as root, or just as normal user ?

Comment 2 John Thacker 2005-04-13 12:55:57 UTC
Hmm.  Seems like it's ok with 1.9.92; after I removed it, the files were all
gone.  rpm -qf /usr/lib/openoffice.org-1.9.92 doesn't show any unowned files. 
So I'll close this.  Never run it as root, BTW.

Comment 3 John Thacker 2005-04-23 16:24:17 UTC
Well, I upgraded to openoffice.org-1.9.93 and this problem is back.  The
/usr/lib/openoffice.org/share/readme directory stuck around, albeit empty.

I've never run openoffice as root, just as a normal user.

Comment 4 John Thacker 2005-04-28 15:57:30 UTC
Occurred again upgrading to 1.9.96

Comment 5 Caolan McNamara 2005-06-14 15:01:43 UTC
I'll stabilize on a single openoffice.org2.0 directory

Comment 6 Caolan McNamara 2005-06-28 11:50:21 UTC
as of 1.9.112 its always /usr/lib/openoffice.org2.0


Note You need to log in before you can comment on or make changes to this bug.